Quicktime 6.5 or greater needed to play